Skip to main content

POST /finance/bank/statements

POST 

/finance/bank/statements

POST /finance/bank/statements

Request​

Body

    id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    is_locked boolean

    bank_account

    object

    required

    id int32nullable
    account_number stringnullable
    currency stringrequired

    Possible values: non-empty

    date_from datenullable
    date_to datenullable
    opening_balance doublenullable
    closing_balance doublenullable
    no stringnullable
    copy_from_id int64nullable

    lines

    object[]

    nullable

  • Array [

  • id int64nullable
    description stringnullable
    amount double
    amount_original doublenullable
    payment_amount doublenullable
    date_transaction datenullable
    date_accounting datenullable
    currency stringnullable
    payment_reference stringnullable
    partner_account_number stringnullable
    partner_name stringnullable
    order int32nullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable

    paid_record

    object

    id int64nullable
    no stringnullable
    type stringnullable

    contact

    object

    id int64nullable
    business_name stringnullable
    raw_message stringnullable

    gl_account

    object

    id int64nullable
    number stringnullable
    name stringnullable
    description stringnullable
  • ]

Responses​

OK

Schema

    id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    is_locked boolean

    bank_account

    object

    required

    id int32nullable
    account_number stringnullable
    currency stringrequired

    Possible values: non-empty

    date_from datenullable
    date_to datenullable
    opening_balance doublenullable
    closing_balance doublenullable
    no stringnullable
    copy_from_id int64nullable

    lines

    object[]

    nullable

  • Array [

  • id int64nullable
    description stringnullable
    amount double
    amount_original doublenullable
    payment_amount doublenullable
    date_transaction datenullable
    date_accounting datenullable
    currency stringnullable
    payment_reference stringnullable
    partner_account_number stringnullable
    partner_name stringnullable
    order int32nullable

    contact

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable

    paid_record

    object

    id int64nullable
    no stringnullable
    type stringnullable

    contact

    object

    id int64nullable
    business_name stringnullable
    raw_message stringnullable

    gl_account

    object

    id int64nullable
    number stringnullable
    name stringnullable
    description stringnullable
  • ]

Loading...